Next Previous Contents

## 3.34 clearerr

> Function

>   Clear error and end-of-file status of a stream.

> Header

>   `stdio.h`

> Declaration

>   `void __fastcall__ clearerr (FILE* f);`

> Description

>   `clearerr` clears the error and end-of-file status indicators for the stream `f`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   feof, ferror

> Example

>   None.

Next Previous Contents